{ config, ... }:
let
  always = 100;
  home = 99;
in
{
  networking.wireless = {
    enable = true;
    secretsFile = config.sops.secrets."wifi-env".path;
    userControlled.enable = true;
    networks = {
      "taetaethegae-2.0" = {
        psk = "ext:PASS_taetaethegae_20";
        priority = home;
      };
      "k" = {
        psk = "ext:PASS_k";
        priority = always;
      };
      "Bloomfield".psk = "ext:PASS_bloomfield";
      "9872441500".psk = "ext:PASS_longboat_home";
      "9872441561".psk = "ext:PASS_longboat_home";
      "5HuFios".psk = "ext:PASS_longboat_home";
      "24HuFios".psk = "ext:PASS_longboat_home";
      "Verizon_ZLHQ3H".psk = "ext:PASS_angie";
      "optimumwifi" = { };
      "CableWiFi" = { };
      "JPMCVisitor" = { };
    };
  };

  networking.nameservers = [
    "9.9.9.9"
    "1.1.1.1"
    "192.168.76.1"
  ];

  services.resolved = {
    enable = true;
    dnssec = "true";
    domains = [ "~." ];
    fallbackDns = [
      "1.1.1.1#one.one.one.one"
      "1.0.0.1#one.one.one.one"
    ];
    dnsovertls = "true";
  };

  sops = {
    defaultSopsFile = ./secrets.yaml;
    secrets = {
      "wifi-env" = {
        owner = "root";
        restartUnits = [ "wpa_supplicant.service" ];
      };
    };
  };
}
